groovy.util

## Class ObservableSet.ElementEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableSet.ElementEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ObservableSet.ElementAddedEvent, ObservableSet.ElementClearedEvent, ObservableSet.ElementRemovedEvent, ObservableSet.MultiElementAddedEvent, ObservableSet.MultiElementRemovedEvent
  Enclosing class:
    ObservableSet<E>

      public abstract static class ObservableSet.ElementEvent
      extends java.beans.PropertyChangeEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementEvent(java.lang.Object source, java.lang.Object oldValue, java.lang.Object newValue, ObservableSet.ChangeType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObservableSet.ChangeType` | `getChangeType()`
    `int` | `getType()`
    `java.lang.String` | `getTypeAsString()`

    - ### Methods inherited from class java.beans.PropertyChangeEvent

      `getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementEvent

          public ElementEvent(java.lang.Object source,
                              java.lang.Object oldValue,
                              java.lang.Object newValue,
                              ObservableSet.ChangeType type)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### getChangeType

          public ObservableSet.ChangeType getChangeType()

    - #### getTypeAsString

          public java.lang.String getTypeAsString()